CREATE DATABASE /*!32312 IF NOT EXISTS*/ www;

USE www;

CREATE TABLE foroMessages (
  idMessage int(10) unsigned NOT NULL auto_increment,
  idForo int(10) unsigned NOT NULL default '0',
  nick varchar(10) NOT NULL default '',
  date timestamp(14) NOT NULL,
  subject varchar(250) NOT NULL default 'Asunto?',
  body text,
  replyTo int(10) unsigned NOT NULL default '0',
  fromIp varchar(15) default NULL,
  fileAttach varchar(250) NOT NULL default '',
  PRIMARY KEY  (idMessage),
  KEY i_nick (nick),
  KEY i_date (date),
  KEY i_idForo (idForo)
) TYPE=MyISAM;

CREATE TABLE foros (
  idForo int(10) unsigned NOT NULL auto_increment,
  public tinyint(1) NOT NULL default '1',
  date timestamp(14) NOT NULL,
  foro varchar(250) NOT NULL default 'Foro?',
  wordsList text,
  PRIMARY KEY  (idForo),
  UNIQUE KEY i_foro (foro),
  KEY k_iforo (foro(150))
) TYPE=MyISAM;

CREATE TABLE ips (
  ip varchar(15) NOT NULL default '',
  banForos tinytext,
  PRIMARY KEY  (ip)
) TYPE=MyISAM;

CREATE TABLE nicks (
  nick varchar(10) NOT NULL default '',
  registerDate timestamp(14) NOT NULL,
  email varchar(150) default NULL,
  pwd varchar(250) NOT NULL default '',
  lastSession timestamp(14) NOT NULL default '00000000000000',
  profile enum('Adm','Mod','Usr') NOT NULL default 'Usr',
  modForos tinytext,
  banForos tinytext,
  PRIMARY KEY  (nick)
) TYPE=MyISAM;

INSERT INTO nicks VALUES ('netforo',NULL,'','hekXl01iQzpAA',NULL,
				'Adm',NULL,NULL);
